%define piname	squiddio_pi

Name:		opencpn-squiddio-plugin
Summary:	Waypoints of sailing destinations plugin for OpenCpn
Version:	1.3.10.0
Release:	%mkrel 2
License:	GPLv3+
Group:		Geography
URL:		https://github.com/mauroc/%{piname}
# See opencpn specs for obtaining the versioned tarball.
Source0:	%{piname}-%{version}.tar.gz

BuildRequires:	git
BuildRequires:	cmake
BuildRequires:	gettext
BuildRequires:	wxgtk-devel
BuildRequires:	pkgconfig(bzip2)
BuildRequires:	pkgconfig(libcurl)
BuildRequires:	pkgconfig(gl)
BuildRequires:	pkgconfig(glu)
BuildRequires:	pkgconfig(zlib)
BuildRequires:	pkgconfig(tinyxml)
BuildRequires:	pkgconfig(webkit2gtk-4.0)

Requires:	opencpn
Provides:	%{piname} = %{version}

%description
Squiddio makes its global user-sourced and user-maintained repository of
sailing destinations (marinas, anchorages, yacht clubs, docks, fuel stations
etc.) available as waypoints in opencpn through a plugin.
The waypoint Properties box shows basic information about the Destination, 
such as the Destination's average user rating, address and phone number
(where available) and a link to the Destination's page on sQuddio.

%prep
%setup -q -n %{piname}

%build
%cmake

%cmake_build

%install
%cmake_install

%find_lang opencpn-%{piname}

%ifarch x86_64 aarch64
mkdir -p %{buildroot}%{_libdir}/opencpn
mv %{buildroot}/usr/lib/opencpn/* %{buildroot}%{_libdir}/opencpn/
%endif

%files -f opencpn-%{piname}.lang
%dir %{_libdir}/opencpn
%{_libdir}/opencpn/lib%{piname}.so


%changelog
* Fri Jan 01 2021 wally <wally> 1.3.10.0-2.mga8
+ Revision: 1667717
- rebuild for wxgtk pre 3.1.5 snapshot

* Sat Oct 17 2020 barjac <barjac> 1.3.10.0-1.mga8
+ Revision: 1636621
- new version 1.3.10.0

* Sun Oct 11 2020 barjac <barjac> 1.3.8.8-1.mga8
+ Revision: 1633548
- new version 1.3.8.8

* Mon Aug 17 2020 barjac <barjac> 1.3.8.4-1.mga8
+ Revision: 1614636
- new version 1.3.8.4

* Sun Aug 16 2020 wally <wally> 1.3.8.3-2.mga8
+ Revision: 1614358
- rebuild for new wxgtk 3.1.4

* Wed Jul 15 2020 barjac <barjac> 1.3.8.3-1.mga8
+ Revision: 1606437
- new version 1.3.8.3
- fix find_lang argument
- new BR git

* Tue Jun 09 2020 barjac <barjac> 1.3.4-1.mga8
+ Revision: 1591538
- new version 1.3.4
- fix find_lang argument

* Mon Apr 20 2020 barjac <barjac> 1.3.0-1.mga8
+ Revision: 1569945
- new versio 1.3.0

* Mon Mar 09 2020 barjac <barjac> 1.2.0-1.mga8
+ Revision: 1555109
- new version 1.2.0

* Tue Feb 18 2020 daviddavid <daviddavid> 1.0.19-2.mga8
+ Revision: 1538791
- use new cmake macros
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Nov 25 2019 barjac <barjac> 1.0.19-1.mga8
+ Revision: 1462829
- new version 1.0.19

* Mon Nov 11 2019 barjac <barjac> 1.0.18-1.mga8
+ Revision: 1459327
- new version 1.0.18

* Sat Jul 13 2019 wally <wally> 1.0.1-2.mga8
+ Revision: 1421021
- rebuild with gtk3 enabled wxgtk 3.1.2

* Mon Mar 25 2019 barjac <barjac> 1.0.1-1.mga7
+ Revision: 1380206
- new version 1.0.1

* Wed Jan 30 2019 barjac <barjac> 0.7.1-1.mga7
+ Revision: 1361982
- new version 0.7.1

* Sun Sep 23 2018 umeabot <umeabot> 0.7-5.mga7
+ Revision: 1299999
- Mageia 7 Mass Rebuild

* Sun Jun 24 2018 wally <wally> 0.7-4.mga7
+ Revision: 1239512
- fix build on aarch64

* Sat Jun 03 2017 akien <akien> 0.7-3.mga6
+ Revision: 1106115
- Rebuild for wxgtk 3.0.3.1

* Thu Jun 02 2016 daviddavid <daviddavid> 0.7-2.mga6
+ Revision: 1019836
- rebuild for wxgtk3.0 built with GTK2

* Mon Feb 22 2016 barjac <barjac> 0.7-1.mga6
+ Revision: 975937
- new version 0.7

* Tue Feb 16 2016 barjac <barjac> 0.6-1.mga6
+ Revision: 962343
- changed buildrequire wxgtku3.0

* Tue Dec 08 2015 barjac <barjac> 0.5-1.mga6
+ Revision: 908785
- new package opencpn-squiddio-plugin

